Bug 1250197 - [aarch64] grub2-efi fails to boot: relocation 0x105 is not implemented yet
[aarch64] grub2-efi fails to boot: relocation 0x105 is not implemented yet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
rawhide
aarch64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2015-08-04 13:29 EDT by Richard W.M. Jones
Modified: 2015-08-14 22:18 EDT (History)
6 users (show)

See Also:
Fixed In Version: grub2-2.02-0.21.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 22:18:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2015-08-04 13:29:50 EDT
Description of problem:

Board: X-Gene Mustang Board
Slimpro FW:
        Ver: 2.4 (build 01.15.10.00 2015/04/22)
        PMD: 950 mV
        SOC: 950 mV
The default boot selection will start in   1 second 
[1] Fedora
[2] Shell
[3] Boot Manager
[4] Reboot
[5] Shutdown
Start: Invalid input (max 5)
Start: 1
relocation 0x105 is not implemented yet
Aborted. Press any key to exit.

Version-Release number of selected component (if applicable):

  grub2-efi.aarch64 1:2.02-0.18.fc23                                            

How reproducible:

100%

Steps to Reproduce:
1. Probably just install the latest grub2-efi on Mustang hardware.
Comment 1 Richard W.M. Jones 2015-08-04 13:32:18 EDT
Also when running the EFI binary from the command line:

BLK1:\EFI\fedora\> dir
Directory of: BLK1:\EFI\fedora\
07/22/2014  20:50 <DIR>         4,096  .
07/22/2014  20:50 <DIR>         4,096  ..
08/04/2015  17:14 <DIR>         4,096  fonts
07/30/2015  15:52             941,568  gcdaa64.efi
07/16/2015  17:35               1,024  grubenv
07/16/2015  17:35               4,748  grub.cfg
07/30/2015  15:52             941,568  grubaa64.efi
04/08/2015  09:50               5,685  grub.cfg~
          5 File(s)   1,894,593 bytes
          3 Dir(s)
BLK1:\EFI\fedora\> grubaa64.efi
relocation 0x105 is not implemented yet
Aborted. Press any key to exit.
Comment 2 Richard W.M. Jones 2015-08-04 13:39:00 EDT
Probably last working version was:

grub2-efi-1:2.02-0.16.fc22.aarch64
Comment 3 Richard W.M. Jones 2015-08-04 14:09:20 EDT
I confirmed that downgrading to grub2-2.02-0.16.fc22 fixes the problem.
Comment 4 Peter Robinson 2015-08-05 12:47:08 EDT
From rjones on IRC:

<rjones> lemme find the suspect patch, one min
<rjones> http://pkgs.fedoraproject.org/cgit/grub2.git/tree/0010-strip-.eh_frame-section-from-arm64-efi-kernel.patch?h=f22
<rjones> we didn't conclusively prove anything, but the suspect was that ^ patch being dropped in a rebase
Comment 5 Peter Jones 2015-08-05 13:08:43 EDT
That patch is there; it's in the upstream repo, so it's part of grub-2.02-beta2-to-origin-master.patch , rather than being one of /our/ patches, and so individually applied.
Comment 6 Peter Jones 2015-08-05 13:15:35 EDT
Oh, I see - it's actually a patch to generate more debuginfo, which causes .eh_frame to exist.  In the long run the answer is probably to /handle/ the relocations, but for now I'll back the patch out.
Comment 7 Fedora Update System 2015-08-05 13:29:52 EDT
grub2-2.02-0.21.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/FEDORA-2015-12687/grub2-2.02-0.21.fc23
Comment 8 Peter Robinson 2015-08-05 13:38:53 EDT
rjones: can you test this please

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3115504
Comment 9 Richard W.M. Jones 2015-08-05 15:00:06 EDT
Confirmed this is FIXED by grub2-efi-2.02-0.21.fc23.aarch64.
Comment 10 Fedora Update System 2015-08-06 12:01:30 EDT
Package grub2-2.02-0.21.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-2.02-0.21.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12687/grub2-2.02-0.21.fc23
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2015-08-14 22:18:06 EDT
grub2-2.02-0.21.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.